SocketBufferHandler (Apache Tomcat 9.0.43 API Documentation)

org.apache.tomcat.util.net

## Class SocketBufferHandler

- java.lang.Object
- - org.apache.tomcat.util.net.SocketBufferHandler

-     public class SocketBufferHandler
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocketBufferHandler(int readBufferSize, int writeBufferSize, boolean direct)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configureReadBufferForRead()`
    `void` | `configureReadBufferForWrite()`
    `void` | `configureWriteBufferForRead()`
    `void` | `configureWriteBufferForWrite()`
    `void` | `expand(int newSize)`
    `void` | `free()`
    `ByteBuffer` | `getReadBuffer()`
    `ByteBuffer` | `getWriteBuffer()`
    `boolean` | `isReadBufferEmpty()`
    `boolean` | `isWriteBufferEmpty()`
    `boolean` | `isWriteBufferWritable()`
    `void` | `reset()`
    `void` | `unReadReadBuffer(ByteBuffer returnedData)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SocketBufferHandler

          public SocketBufferHandler(int readBufferSize,
                                     int writeBufferSize,
                                     boolean direct)

  - ### Method Detail

    - #### configureReadBufferForWrite

          public void configureReadBufferForWrite()

    - #### configureReadBufferForRead

          public void configureReadBufferForRead()

    - #### getReadBuffer

          public ByteBuffer getReadBuffer()

    - #### isReadBufferEmpty

          public boolean isReadBufferEmpty()

    - #### unReadReadBuffer

          public void unReadReadBuffer(ByteBuffer returnedData)

    - #### configureWriteBufferForWrite

          public void configureWriteBufferForWrite()

    - #### configureWriteBufferForRead

          public void configureWriteBufferForRead()

    - #### isWriteBufferWritable

          public boolean isWriteBufferWritable()

    - #### getWriteBuffer

          public ByteBuffer getWriteBuffer()

    - #### isWriteBufferEmpty

          public boolean isWriteBufferEmpty()

    - #### reset

          public void reset()

    - #### expand

          public void expand(int newSize)

    - #### free

          public void free()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.